Subject: Re: [PATCH] ethtool: add support for supporting 10000baseT

From: Ben Hutchings <[email-masked]>
Date: Wed, 7 Nov 2007 18:25:53 +0000

Kok, Auke wrote:
> Ben Hutchings wrote:
> > Auke Kok wrote:
> >> From: Jesse Brandeburg <[email-masked]>
> >>
> >> there is missing support in ethtool for reporting 10000baseT
> >> as SUPPORTED_10000baseT_Full.  The code seems to be half
> >> implemented because the "advertising" field has the implementation.
> > 
> > I reported this lack on Sourceforge a while back:
> > <http://sourceforge.net/tracker/index.php?func=detail&aid=1798807&group_id=3242&atid=103242>
> > Is anyone reading bugs reported there?
> 
> not really. However with plenty of new 10gig hardware going through
> here we're currently looking at ethtool support and seeing if it
> misses anything.

I think that's the only remaining issue we have with ethtool itself.
There's a wider issue of clause 45 MDIO for 10G Ethernet though.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.